Bug 1003881 - VNIC profile aren't exposed as a subcollection from a single network resource
VNIC profile aren't exposed as a subcollection from a single network resource
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 08:21 EDT by GenadiC
Modified: 2016-02-10 14:50 EST (History)
8 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:19:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18839 None None None Never

  None (edit)
Description GenadiC 2013-09-03 08:21:58 EDT
Description of problem:
VNIC profile aren't exposed as a subcollection from  a single network resource.
They are only available for a single network when fetching all of the networks via  api/networks/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to api/networks/{network:id}
2. View the network collections .
3.

Actual results:
vnicprofiles aren't presented.

Expected results:
VNIC profile should be presented

Additional info:
This affects automation tests
Comment 1 GenadiC 2013-09-18 02:05:41 EDT
Verified in IS15
Comment 2 Itamar Heim 2014-01-21 17:19:27 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:25:36 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.